#include <iostream>

using namespace std;

int main()
{

    int n;
    char x;

    cin >> n;
    long long int cnt[26]={0};
    long long int sol=1;

    char k[n];
    x='A';
    for(int i=0; i<n; i++){
        cin >> k[i];
        if(k[i]>=x){
            cnt[k[i]-65]++;
            if(k[i]>x)x=k[i];
        }

    }

    for(int i=0; i<26; i++){
        if(cnt[i]>1)sol*=cnt[i];
        if(cnt[i]==0){
            cout << "0";
            return 0;
        }
    }

    cout << sol%1000000007;

    return 0;
}